> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://walmart.postmansolutions.com/us-marketplace/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://walmart.postmansolutions.com/us-marketplace/_mcp/server.

# Returns pricing information for a seller's offer listings

GET https://marketplace.walmart.com/seller/v1/products/pricing/v4/price

Returns pricing information for a seller's active offer listings based on seller SKU or Walmart Item ID (see ADR-029).

Reference: https://walmart.postmansolutions.com/us-marketplace/api-reference/inventory-pricing/pricing/product-pricing/get-pricing

## Servers

- `https://marketplace.walmart.com/seller/v1` (Production, default)
- `https://sandbox.marketplace.walmart.com/seller/v1` (Sandbox)

## Request

### Query parameters

- `MarketplaceId` (enum, required) — A marketplace identifier. Specifies the marketplace for which prices are returned.
  - Allowed values: `WALMART_US`, `WALMART_CA`, `WALMART_MX`
- `Skus` (list of string, optional) — A list of up to twenty seller SKU values used to identify items in the given marketplace.
- `walmartItemIds` (list of string, optional) — A list of up to twenty Walmart Item ID values used to identify items in the given marketplace.
- `ItemType` (enum, required, default: Sku) — Indicates whether Walmart Item ID values or seller SKU values are used to identify items.
  - Allowed values: `WalmartItemId`, `Sku`
- `ItemCondition` (enum, optional) — Filters the offer listings based on item condition. Possible values: New, Used, Collectible, Refurbished, Club.
  - Allowed values: `New`, `Used`, `Collectible`, `Refurbished`, `Club`
- `OfferType` (enum, optional) — Indicates whether to request pricing information for the seller's B2C or B2B offers. Default is B2C.
  - Allowed values: `B2C`, `B2B`
- `CustomerType` (enum, optional) — Indicates whether to request Consumer or Business offers. Default is Consumer.
  - Allowed values: `Consumer`, `Business`

## Response

### 200

Success

- `payload` (list of Price, optional) — The payload for the getPricing and getCompetitivePricing operations.
- `errors` (list of Error, optional) — A list of error responses returned when a request is unsuccessful.

## Errors

### 400 Bad Request Error

Bad Request

- `list of Error`

### 403 Forbidden Error

Forbidden

- `list of Error`

### 404 Not Found Error

Not Found

- `list of Error`

### 429 Too Many Requests Error

Rate limit exceeded

- `list of Error`

### 500 Internal Server Error

Internal Server Error

- `list of Error`

## Types

### Price

Schema for price info in getPricing response.

- `status` (string, required) — The status of the operation.
- `SellerSKU` (string, optional) — The seller stock keeping unit (SKU) of the item.
- `walmartItemId` (string, optional) — The Walmart Item ID of the item.
- `Product` (Product, optional) — An item.

### Error

Error response returned when the request is unsuccessful.

- `code` (string, required) — An error code that identifies the type of error that occurred.
- `message` (string, required) — A message that describes the error condition.
- `details` (string, optional) — Additional details that can help the caller understand or fix the issue.

### Product

An item.

- `Identifiers` (IdentifierType, required) — Specifies the identifiers used to uniquely identify an item.
- `AttributeSets` (list of AttributeSetListItems, optional) — A list of product attributes if applicable.
- `Relationships` (list of RelationshipListItems, optional) — A list that contains product variation information, if applicable.
- `CompetitivePricing` (CompetitivePricingType, optional) — Competitive pricing information for the item.
- `SalesRankings` (list of SalesRankType, optional) — A list of sales rank information for the item, by category.
- `Offers` (list of OfferType, optional) — A list of offers.

### IdentifierType

Specifies the identifiers used to uniquely identify an item.

- `MarketplaceItem` (WalmartItemIdentifier, required) — Schema to identify an item by MarketPlaceId and Walmart Item ID (see ADR-029).
- `SKUIdentifier` (SellerSKUIdentifier, optional) — Schema to identify an item by MarketPlaceId, SellerId, and SellerSKU.

### AttributeSetListItems

### RelationshipListItems

### CompetitivePricingType

Competitive pricing information for the item.

- `CompetitivePrices` (list of CompetitivePriceType, required) — A list of competitive pricing information.
- `NumberOfOfferListings` (list of OfferListingCountType, required) — The number of active offer listings for the item, by condition.
- `TradeInValue` (MoneyType, optional) — Currency type and monetary value.

### SalesRankType

Sales rank information for the item, by category.

- `ProductCategoryId` (string, required) — Identifies the item category from which the sales rank is taken.
- `Rank` (integer, required) — The sales rank of the item within the item category.

### OfferType

Schema for an individual offer.

- `BuyingPrice` (PriceType, required) — Item price information. LandedPrice = ListingPrice + Shipping. Walmart does not have a seller-configurable per-offer loyalty points mechanism; the Points field from the SP-API reference spec is omitted. See ADR-030.
- `RegularPrice` (MoneyType, required) — Currency type and monetary value.
- `FulfillmentChannel` (enum, required) — The fulfillment channel for the offer listing. Possible values: WFS, SELLER.
  - Allowed values: `WFS`, `SELLER`
- `ItemCondition` (string, required) — The item condition for the offer listing. Possible values: New, Used, Collectible, Refurbished, or Club.
- `ItemSubCondition` (string, required) — The item subcondition for the offer listing.
- `SellerSKU` (string, required) — The seller stock keeping unit (SKU) of the item.
- `offerType` (enum, optional) — Indicates whether the offer is a B2B or B2C offer.
  - Allowed values: `B2C`, `B2B`
- `businessPrice` (MoneyType, optional) — Currency type and monetary value.
- `quantityDiscountPrices` (list of QuantityDiscountPriceType, optional) — Item pricing information when buying in bulk.

### WalmartItemIdentifier

Schema to identify an item by MarketPlaceId and Walmart Item ID (see ADR-029).

- `MarketplaceId` (string, required) — A marketplace identifier.
- `walmartItemId` (string, required) — The Walmart Item ID of the item.

### SellerSKUIdentifier

Schema to identify an item by MarketPlaceId, SellerId, and SellerSKU.

- `MarketplaceId` (string, required) — A marketplace identifier.
- `SellerId` (string, required) — The seller identifier submitted for the operation.
- `SellerSKU` (string, required) — The seller stock keeping unit (SKU) of the item.

### CompetitivePriceType

Schema for competitive pricing information.

- `CompetitivePriceId` (string, required) — The pricing model for each price that is returned. Possible values: 1 - New Buy Box Price. 2 - Used Buy Box Price.
- `Price` (PriceType, required) — Item price information. LandedPrice = ListingPrice + Shipping. Walmart does not have a seller-configurable per-offer loyalty points mechanism; the Points field from the SP-API reference spec is omitted. See ADR-030.
- `condition` (string, optional) — Indicates the condition of the item. Possible values: New, Used, Collectible, Refurbished, or Club.
- `subcondition` (string, optional) — Indicates the subcondition of the item.
- `offerType` (enum, optional) — Indicates whether the offer is a B2B or B2C offer.
  - Allowed values: `B2C`, `B2B`
- `quantityTier` (integer, optional) — Indicates at what quantity this price becomes active.
- `quantityDiscountType` (enum, optional) — Indicates the type of quantity discount this price applies to.
  - Allowed values: `QUANTITY_DISCOUNT`
- `sellerId` (string, optional) — The seller identifier for the offer.
- `belongsToRequester` (boolean, optional) — Indicates whether the pricing information is for an offer listing that belongs to the requester.

### OfferListingCountType

The number of offer listings with the specified condition.

- `Count` (integer, required) — The number of offer listings.
- `condition` (string, required) — The condition of the item.

### MoneyType

Currency type and monetary value.

- `CurrencyCode` (string, optional, default: USD) — The currency code in ISO 4217 format.
- `Amount` (double, optional) — The monetary value.

### PriceType

Item price information. LandedPrice = ListingPrice + Shipping. Walmart does not have a seller-configurable per-offer loyalty points mechanism; the Points field from the SP-API reference spec is omitted. See ADR-030.

- `ListingPrice` (MoneyType, required) — Currency type and monetary value.
- `LandedPrice` (MoneyType, optional) — Currency type and monetary value.
- `Shipping` (MoneyType, optional) — Currency type and monetary value.

### QuantityDiscountPriceType

Contains pricing information for bulk purchase discounts.

- `quantityTier` (integer, required) — Indicates at what quantity this price becomes active.
- `quantityDiscountType` (enum, required) — Indicates the type of quantity discount this price applies to.
  - Allowed values: `QUANTITY_DISCOUNT`
- `listingPrice` (MoneyType, required) — Currency type and monetary value.

## Examples

**Response**

```json
{
  "payload": [
    {
      "status": "string",
      "SellerSKU": "string",
      "walmartItemId": "string",
      "Product": {
        "Identifiers": {
          "MarketplaceItem": {
            "MarketplaceId": "string",
            "walmartItemId": "string"
          },
          "SKUIdentifier": {
            "MarketplaceId": "string",
            "SellerId": "string",
            "SellerSKU": "string"
          }
        },
        "AttributeSets": [
          {}
        ],
        "Relationships": [
          {}
        ],
        "CompetitivePricing": {
          "CompetitivePrices": [
            {
              "CompetitivePriceId": "string",
              "Price": {
                "ListingPrice": {
                  "CurrencyCode": "USD",
                  "Amount": 1.1
                },
                "LandedPrice": {
                  "CurrencyCode": "USD",
                  "Amount": 1.1
                },
                "Shipping": {
                  "CurrencyCode": "USD",
                  "Amount": 1.1
                }
              },
              "condition": "string",
              "subcondition": "string",
              "offerType": "B2C",
              "quantityTier": 1,
              "quantityDiscountType": "QUANTITY_DISCOUNT",
              "sellerId": "string",
              "belongsToRequester": true
            }
          ],
          "NumberOfOfferListings": [
            {
              "Count": 1,
              "condition": "string"
            }
          ],
          "TradeInValue": {
            "CurrencyCode": "USD",
            "Amount": 1.1
          }
        },
        "SalesRankings": [
          {
            "ProductCategoryId": "string",
            "Rank": 1
          }
        ],
        "Offers": [
          {
            "BuyingPrice": {
              "ListingPrice": {
                "CurrencyCode": "USD",
                "Amount": 1.1
              },
              "LandedPrice": {
                "CurrencyCode": "USD",
                "Amount": 1.1
              },
              "Shipping": {
                "CurrencyCode": "USD",
                "Amount": 1.1
              }
            },
            "RegularPrice": {
              "CurrencyCode": "USD",
              "Amount": 1.1
            },
            "FulfillmentChannel": "WFS",
            "ItemCondition": "string",
            "ItemSubCondition": "string",
            "SellerSKU": "string",
            "offerType": "B2C",
            "businessPrice": {
              "CurrencyCode": "USD",
              "Amount": 1.1
            },
            "quantityDiscountPrices": [
              {
                "quantityTier": 1,
                "quantityDiscountType": "QUANTITY_DISCOUNT",
                "listingPrice": {
                  "CurrencyCode": "USD",
                  "Amount": 1.1
                }
              }
            ]
          }
        ]
      }
    }
  ],
  "errors": [
    {
      "code": "string",
      "message": "string",
      "details": "string"
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://marketplace.walmart.com/seller/v1/products/pricing/v4/price"

querystring = {"ItemType":"Sku","MarketplaceId":"WALMART_US"}

response = requests.get(url, params=querystring)

print(response.json())
```

```javascript
const url = 'https://marketplace.walmart.com/seller/v1/products/pricing/v4/price?ItemType=Sku&MarketplaceId=WALMART_US';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://marketplace.walmart.com/seller/v1/products/pricing/v4/price?ItemType=Sku&MarketplaceId=WALMART_US"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://marketplace.walmart.com/seller/v1/products/pricing/v4/price?ItemType=Sku&MarketplaceId=WALMART_US")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://marketplace.walmart.com/seller/v1/products/pricing/v4/price?ItemType=Sku&MarketplaceId=WALMART_US")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://marketplace.walmart.com/seller/v1/products/pricing/v4/price?ItemType=Sku&MarketplaceId=WALMART_US');

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://marketplace.walmart.com/seller/v1/products/pricing/v4/price?ItemType=Sku&MarketplaceId=WALMART_US");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://marketplace.walmart.com/seller/v1/products/pricing/v4/price?ItemType=Sku&MarketplaceId=WALMART_US")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```